Mesure d'angle par 3 pts TechDraw

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Angle3Pt and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎hrvatski • ‎italiano • ‎русский
Arrow-left.svg Page précédente: Techdraw Dimension Angle.png Nouvel angle
Page suivante: Nouveau lien Techdraw Dimension Link.png Arrow-right.svg

TechDraw Dimension Angle3Pt.svg Dimension d'Angle par 3 pts

Emplacement du menu
TechDraw → Dimension d'Angle par 3 pts
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.18
Voir aussi
Dimension angulaire


Description

L'outil de cote Angle3Pt ajoute une cote angulaire à une vue. La dimension peut être spécifiée en sélectionnant trois sommets dans une vue. Notez que le second des trois sommets est le sommet de l'angle. Angle3Pt sera initialement l'angle projeté (c'est-à-dire, comme indiqué sur le dessin), mais cet angle peut être remplacé par l'angle 3D réel à l'aide de l'outil TechDraw Dimension Link.svgLier une Cote

TechDraw Dimension Angle3Pt example.png

Mesurer l'angle entre deux lignes droites à l'aide de trois sommets; le deuxième sommet devrait être le sommet de l'angle


Comment faire

  1. Sélectionnez les points ou les arêtes qui définissent votre mesure.
  2. Appuyez sur le bouton TechDraw Dimension Angle3Pt.pngDimension d'Angle par 3 Pts.
  3. Une dimension sera ajoutée à la vue. La cote peut être déplacée à la position souhaitée.

Limitations

Les objets de dimension sont vulnérables aux problèmes de "nommage topologique". Consultez les informations de l'outil Dimension de longueur pour plus d'informations.

Propriétés

Cet objet a les mêmes propriétés que l'outil Dimension de longueur. Voir cet outil pour plus de détails.

Script

Voir aussi : TechDraw API et FreeCAD Scripting Basics.

L'outil Dimension Angle3Pt peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle3Pt"
dim1.References2D=[(view1, 'Vertex1',(view1, 'Vertex4'),(view1, 'Vertex2'))]
rc = page.addView(dim1)


Arrow-left.svg Page précédente: Techdraw Dimension Angle.png Nouvel angle
Page suivante: Nouveau lien Techdraw Dimension Link.png Arrow-right.svg